summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilmano <silmano@gmail.com>2018-05-22 16:18:11 +0200
committerAaron Bauman <bman@gentoo.org>2018-05-25 14:34:56 -0400
commitf5c301f81ed6e0bc5fbfae545b7f6aa1e43846cc (patch)
tree96dfa936e5e24def165bba7968006f22aadd7043 /www-misc
parentx11-misc/i3status: remove unneeded dependency (diff)
downloadgentoo-f5c301f81ed6e0bc5fbfae545b7f6aa1e43846cc.tar.gz
gentoo-f5c301f81ed6e0bc5fbfae545b7f6aa1e43846cc.tar.bz2
gentoo-f5c301f81ed6e0bc5fbfae545b7f6aa1e43846cc.zip
www-misc/monitorix: version bump to 3.10.1
Package-Manager: Portage-2.3.24, Repoman-2.3.6 Closes: https://github.com/gentoo/gentoo/pull/8522
Diffstat (limited to 'www-misc')
-rw-r--r--www-misc/monitorix/Manifest1
-rw-r--r--www-misc/monitorix/monitorix-3.10.1.ebuild103
2 files changed, 104 insertions, 0 deletions
diff --git a/www-misc/monitorix/Manifest b/www-misc/monitorix/Manifest
index 2556522095c..aec32f4b039 100644
--- a/www-misc/monitorix/Manifest
+++ b/www-misc/monitorix/Manifest
@@ -1,4 +1,5 @@
DIST monitorix-3.10.0.tar.gz 309688 BLAKE2B 58345fbe02e24be48baecb1b91b4c24de8bec1960557e4713c4007c7c1649627d79caf823893eba4f9c9bc1330cc739f2c4e248421795235107ddf5164e998f5 SHA512 a313b25c4b8a614d62d67e9649227461a0faf83704baebb01318acb8d42dc336b747dd5f4a9fc5ddbd7ef10598d96577d1265c0022dfb0a94826e1da5cfc33d2
+DIST monitorix-3.10.1.tar.gz 313587 BLAKE2B 2dfc63499966346cf7e862a44d904f2599a6eb40544c511c9d64f1fa32684bccbecccbbfaff8d46cdb1c4af8b5904c2622ede8d3d8f955bd9bacc32848c2ef02 SHA512 b1e2a5c6a2992c6280129ec7fcdd72783902f475c3c98f09aab86b56305efacce7222732669639dc59b29da2fdf5cda49999ee159f4a95b12e4ee3a491d55c55
DIST monitorix-3.5.1.tar.gz 218548 BLAKE2B 3424e391fed25cf9dd400abe7c2acbba3ad7103fb4bb9c464e921ed6b8ef320639b98956afe0aeaff9522857eef31ba0e55b755de9a21f8b7dbde2755f33e3fc SHA512 cf64f89e147f3ddf31d48e593d5a5f09be827fd9a104c5cc28b1146e491507476d4f86bf249fda24ce92d7e37a3699dd94501d441c3767d12dfbabe4d782c37c
DIST monitorix-3.8.1.tar.gz 270985 BLAKE2B 554b391aa4427f194eecde22f70a99fd45f7d295c381eb14d85cda795b9a0f4cd1647231882ede84919d0a1e35f15dd1df8abe2bcd4016b51b0a353c2030da1a SHA512 d07f6b2fc69efffd3fccd76db7ca94640d68fd016979b41fd19f1aa5951c0da7dd5513fe82482c020d4b60ab5187e3c7b704cca80331bd826d050f2ac8538b02
DIST monitorix-3.9.0.tar.gz 288443 BLAKE2B 6203f2950e0061d1ff268a2c42c31e7e14b5103e09ec82411f3ee3b957212c8799ba00710b269e0097ed0a3c060eb2d6972dd7b2c1af820bb09de2281113238c SHA512 599f3fa004c2e9657f255ca0ef0ae69ca63623976d17ebf8883a8c19b8a76193916634844f794da508439336edc37e424263aa6ccd8e06bb3584b6cf3cda783b
diff --git a/www-misc/monitorix/monitorix-3.10.1.ebuild b/www-misc/monitorix/monitorix-3.10.1.ebuild
new file mode 100644
index 00000000000..4613e771aaa
--- /dev/null
+++ b/www-misc/monitorix/monitorix-3.10.1.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit systemd user
+
+DESCRIPTION="A lightweight system monitoring tool"
+HOMEPAGE="http://www.monitorix.org/"
+SRC_URI="http://www.monitorix.org/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="dev-perl/Config-General
+ dev-perl/DBI
+ dev-perl/HTTP-Server-Simple
+ dev-perl/IO-Socket-SSL
+ dev-perl/libwww-perl
+ dev-perl/MIME-Lite
+ dev-perl/XML-Simple
+ net-analyzer/rrdtool[graph,perl]
+ dev-perl/CGI"
+
+pkg_setup() {
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 /var/lib/${PN} ${PN}
+}
+
+src_prepare() {
+ # Put better Gentoo defaults in the configuration file.
+ sed -e "s|\(base_dir.*\)/usr/share/${PN}|\1/usr/share/${PN}/htdocs|" \
+ -e "s|\(secure_log.*\)/var/log/secure|\1/var/log/auth.log|" \
+ -e "s|nobody|${PN}|g" -i ${PN}.conf || die
+ eapply_user
+}
+
+# Override compile phase
+src_compile() { :; }
+
+src_install() {
+ dosbin ${PN}
+
+ newinitd "${FILESDIR}"/${PN}.init ${PN}
+
+ insinto /etc/monitorix
+ doins ${PN}.conf
+
+ keepdir /etc/${PN}/conf.d
+
+ insinto /etc/logrotate.d
+ newins docs/${PN}.logrotate ${PN}
+
+ dodoc Changes README{,.nginx} docs/${PN}-{alert.sh,apache.conf,lighttpd.conf}
+ doman man/man5/${PN}.conf.5
+ doman man/man8/${PN}.8
+
+ insinto /var/lib/${PN}/www
+ doins logo_bot.png logo_top.png ${PN}ico.png
+
+ keepdir /var/lib/${PN}/www/imgs
+ fowners monitorix:monitorix /var/lib/${PN}/www/imgs
+
+ exeinto /var/lib/${PN}/www/cgi
+ doexe ${PN}.cgi
+
+ dodir /usr/lib/${PN}
+ exeinto /usr/lib/${PN}
+ doexe lib/*.pm
+
+ keepdir /var/lib/${PN}/usage
+ insinto /var/lib/${PN}/reports
+ doins -r reports
+
+ systemd_dounit docs/${PN}.service
+}
+
+pkg_postinst() {
+ if has_version '<=www-misc/monitorix-3.5.1' ; then
+ ewarn "WARNING: ${PN} has changed its config format twice, in versions"
+ ewarn "3.0.0 and 3.4.0; this format may be incompatible with your existing"
+ ewarn "config file. Please take care if upgrading from an old version."
+ ewarn
+ elog "${PN} includes its own web server as of version 3.0.0."
+ elog "For this reason, the dependency on the webapp framework"
+ elog "has been removed."
+ elog
+ fi
+ elog "Optional dependencies:"
+ elog " app-admin/hddtemp (disk drive temperatures and health)"
+ elog " mail-mta/postfix (email reports/statics)"
+ elog " mail-mta/sendmail (email reports/statics)"
+ elog " sys-apps/lm_sensors (lm_sensors and GPU temperatures)"
+ elog " sys-power/apcupsd (APC UPS statistics)"
+ elog " sys-power/nut (Network UPS Tools statistics)"
+ elog
+ elog "If you wish to use your own web server:"
+ elog " Web data can be found at: ${EROOT%/}/var/lib/${PN}/www/"
+ elog " Also please check the correct user and group ownership"
+ elog " of ${EROOT%/}/var/lib/${PN}/www/imgs/"
+}